Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kTcpServer Class Reference
kApi/Io

## Description

Represents a TCP server.

Inheritance diagram for kTcpServer:

## Public Member Functions
kStatus | kTcpServer_Accept (kTcpServer server, k64u timeout, kTcpClient *client, kAlloc allocator)
| Blocks until an incoming connection is established, or the specified timeout interval elapses. More...
kStatus | kTcpServer_Construct (kTcpServer *server, kIpVersion ipVersion, kAlloc allocator)
| Constructs a kTcpServer object. More...
kStatus | kTcpServer_EnableReuseAddress (kTcpServer server, kBool reuse)
| Enables or disables reuse of a local end point within a short period of time. More...
kStatus | kTcpServer_Listen (kTcpServer server, kIpAddress address, k32u port, kSize backlog)
| Places the server into the listening state, to monitor for incoming connection requests. More...
kStatus | kTcpServer_LocalEndPoint (kTcpServer server, kIpEndPoint *endPoint)
| Returns the local end point for a listening server. More...
kStatus | kTcpServer_SetReadBuffers (kTcpServer server, kSSize socketSize, kSSize clientSize)
| Sets the size of read buffers for accepted client sockets. More...
kStatus | kTcpServer_SetWriteBuffers (kTcpServer server, kSSize socketSize, kSSize clientSize)
| Sets the size of write buffers for accepted client sockets. More...
kSocket | kTcpServer_Socket (kTcpServer server)
| Returns the underlying socket object. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Related inherited from kObject
#define | kObject_Type_(OBJ) kxObject_Type_(OBJ)
| Macro version of kObject_Type.
#define | kObject_Is_(OBJ, TYPE) kxObject_Is_(OBJ, TYPE)
| Macro version of kObject_Is.
#define | kObject_Alloc_(OBJ) kxObject_Allocator_(OBJ)
| Macro version of kObject_Alloc.

The documentation for this class was generated from the following file:

- Io/kTcpServer.h